Skip to main content
GET
/
monitors
/
{monitor_id}
/
activity
Get monitor activity
curl --request GET \
  --url https://api.trymaitai.ai/api/v1/monitors/{monitor_id}/activity \
  --header 'X-Maitai-Api-Key: <api-key>'
{
  "data": {
    "monitor_id": 501,
    "monitor_target_id": null,
    "bucket_seconds": 3600,
    "buckets": [
      {
        "bucket_start": 1737540000,
        "pass_count": 95,
        "warning_count": 2,
        "error_count": 3,
        "failed_count": 0,
        "sampled_count": 100
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.trymaitai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Maitai-Api-Key
string
header
required

Your Maitai API key from the Portal.

Path Parameters

monitor_id
integer
required

Query Parameters

monitor_target_id
integer
bucket_seconds
integer

Response

200 - application/json

Get monitor activity.

data
any